File python-ironicclient.spec of Package python-ironicclient

#
# spec file for package python-ironicclient
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-ironicclient
Version:        2.5.4
Release:        0
Summary:        Python API and CLI for OpenStack Ironic
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/python-ironicclient
Source0:        https://files.pythonhosted.org/packages/source/p/python-ironicclient/python-ironicclient-2.5.4.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python-devel
BuildRequires:  python2-Babel
BuildRequires:  python2-PrettyTable
BuildRequires:  python2-PyYAML
BuildRequires:  python2-appdirs
BuildRequires:  python2-dogpile.cache
BuildRequires:  python2-fixtures
BuildRequires:  python2-jsonschema
BuildRequires:  python2-mock
BuildRequires:  python2-openstackclient
BuildRequires:  python2-os-testr
BuildRequires:  python2-osc-lib
BuildRequires:  python2-oslo.i18n
BuildRequires:  python2-oslo.utils
BuildRequires:  python2-oslotest
BuildRequires:  python2-pbr
BuildRequires:  python2-python-subunit
BuildRequires:  python2-requests
BuildRequires:  python2-requests-mock
BuildRequires:  python2-testtools
BuildRequires:  python3-Babel
BuildRequires:  python3-PrettyTable
BuildRequires:  python3-PyYAML
BuildRequires:  python3-appdirs
BuildRequires:  python3-devel
BuildRequires:  python3-dogpile.cache
BuildRequires:  python3-fixtures
BuildRequires:  python3-jsonschema
BuildRequires:  python3-mock
BuildRequires:  python3-openstackclient
BuildRequires:  python3-os-testr
BuildRequires:  python3-osc-lib
BuildRequires:  python3-oslo.i18n
BuildRequires:  python3-oslo.utils
BuildRequires:  python3-oslotest
BuildRequires:  python3-pbr
BuildRequires:  python3-python-subunit
BuildRequires:  python3-requests
BuildRequires:  python3-requests-mock
BuildRequires:  python3-testtools
Requires:       python-PrettyTable
Requires:       python-PyYAML
Requires:       python-appdirs
Requires:       python-dogpile.cache
Requires:       python-jsonschema
Requires:       python-keystoneauth1
Requires:       python-openstackclient
Requires:       python-osc-lib
Requires:       python-oslo.i18n
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-requests
Requires:       python-six
BuildArch:      noarch
%if 0%{?suse_version}
Requires(post): update-alternatives
Requires(postun): update-alternatives
%else
# on RDO, update-alternatives is in chkconfig
Requires(post): chkconfig
Requires(postun): chkconfig
%endif
%python_subpackages

%description
OpenStack Bare Metal Provisioning API Client Library

This is a client for the OpenStack Ironic API. It provides a Python API (the
ironicclient module) and a command-line interface (ironic).

%package -n python-ironicclient-doc
Summary:        Documentation for OpenStack Ironic API Client
Group:          Documentation/HTML
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno
BuildRequires:  python-sphinxcontrib-apidoc

%description -n python-ironicclient-doc
This is a client for the OpenStack Ironic API (Bare Metal. There's a
Python API (the ironicclient module), and a command-line script (ironic).
Each implements 100% of the OpenStack Ironic API.
This package contains auto-generated documentation.

%prep
%autosetup -p1 -n python-ironicclient-2.5.4
%py_req_cleanup
sed -i 's/^warning-is-error.*/warning-is-error = 0/g' setup.cfg

%build
%{python_build}

PBR_VERSION=2.5.4 sphinx-build -b html doc/source doc/build/html
# remove the sphinx-build leftovers
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{python_install}
# bash completion
install -p -D -m 644 tools/ironic.bash_completion %{buildroot}%{_sysconfdir}/bash_completion.d/ironic.bash_completion
%python_clone -a %{buildroot}%{_bindir}/ironic
%python_clone -a %{buildroot}%{_sysconfdir}/bash_completion.d/ironic.bash_completion

%post
%{python_install_alternative ironic %{_sysconfdir}/bash_completion.d/ironic.bash_completion}

%postun
%python_uninstall_alternative ironic

%check
%python_exec -m stestr.cli run

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/ironicclient
%{python_sitelib}/*.egg-info
%python_alternative %{_bindir}/ironic
%python_alternative %{_sysconfdir}/bash_completion.d/ironic.bash_completion

%files -n python-ironicclient-doc
%license LICENSE
%doc doc/build/html

%changelog
openSUSE Build Service is sponsored by